e: AnyStr): ...
    def handle_entityref(self, name: AnyStr): ...
    def handle_data(self, data: AnyStr): ...
    def handle_comment(self, data: AnyStr): ...
    def handle_decl(self, decl: AnyStr): ...
    def handle_pi(self, data: AnyStr): ...
    def unknown_decl(self, data: AnyStr): ...
    def unescape(self, s: AnyStr) -> AnyStr: ...

class HTMLParseError(Exception):
    msg: str
    lineno: int
    offset: int
PK